Retrieve a SIM
Retrieve the details of a sim.
Request
GET/sims/{iccid}
Path parameters
iccidstringrequired
ICCID of the sim to retrieve.
Response
A json is returned in the response body with the following fields:
iccidstring
ICCID of the sim.
tagIdsstring array
Tag IDs of the sim.
simTypeenum
Type of the sim.
PHYSICAL— Physical SIMEMBEDDED— eSIM
deviceTypeenum
Device type of the sim.
PEPLINK— Linked with a Peplink DeviceNON_PEPLINK— 3rd-party SIM
billingTypeenum
Billing type of the sim.
PREPAID— Prepaid SIMPOSTPAID— Postpaid SIM
orderNumberstring
Order number of the sim.
orderedAtdatetime string
Time of when the sim is ordered.
peplinkDeviceSnnullable string
SN (serial number) of Peplink device linked to the sim. null if not applicable.
imeinullable string
IMEI of Peplink device linked to the sim. null if not applicable.
eidnullable string
EID of Peplink device linked to the sim. null if not applicable.
dataRegionnullable enum
Data region of the sim.
GLOBAL— Global data planUS— NA & EU data plan
activationCodenullable string
Activate code of the sim. null if not applicable.
postpaidMonthlyUsagesnullable object array
Postpaid monthly usages of the sim. null if not applicable.
Show child attributes
postpaidMonthlyUsages.yearinteger
Year of the usage.
postpaidMonthlyUsages.monthinteger
Month of the usage.
postpaidMonthlyUsages.usageMbnumber
Used data volume (in MB) of the usage.
Examples
Request
curl -X GET 'https://portal.peplink.com/api/e/v1/cp/sims/{iccid}' \ -H 'Authorization: Bearer {token}'Response
{
"iccid": "89000000000000000000",
"tagIds": [],
"simType": "EMBEDDED",
"deviceType": "NON_PEPLINK",
"billingType": "PREPAID",
"orderNumber": "AEXXXXXXX",
"orderedAt": "2025-02-06T01:25:20.000Z",
"peplinkDeviceSn": null,
"imei": null,
"eid": null,
"dataRegion": "GLOBAL",
"activationCode": "LKDLSKJDLAKSJDLKASJDKLSADSA",
"postpaidMonthlyUsages": null
}